/*

Name:       Base16 Default Light
Author:     Chris Kempson (http://chriskempson.com)

Prism template by Bram de Haan (http://atelierbram.github.io/syntax-highlighting/prism/)
Original Base16 color scheme by Chris Kempson (https://github.com/chriskempson/base16)

 */ 

code[class*="language-"],
pre[class*="language-"] {
  color: #f5f5f5;
  font-family: Consolas, Menlo, Monaco, "Andale Mono WT", "Andale Mono", "Lucida Console", "Lucida Sans Typewriter", "DejaVu Sans Mono", "Bitstream Vera Sans Mono", "Liberation Mono", "Nimbus Mono L", "Courier New", Courier, monospace;
  font-size: 14px;
  line-height: 1.375;
  direction: ltr;
  text-align: left;
  word-spacing: normal;

  -moz-tab-size: 4;
  -o-tab-size: 4;
  tab-size: 4;

  -webkit-hyphens: none;
  -moz-hyphens: none;
  -ms-hyphens: none;
  hyphens: none; 
  white-space: pre; 
  background: #f5f5f5; 
  color: #303030;

  overflow: auto;
  overflow-wrap: normal;
}

/* Code blocks */
pre[class*="language-"] {
  padding: 1em;
  margin: .5em 0;
}

/* Inline code */
:not(pre) > code[class*="language-"] {
  padding: .1em;
  border-radius: .3em;
}

.token.comment,
.token.prolog,
.token.doctype,
.token.cdata {
  color: #b0b0b0;
}

.token.punctuation {
  color: #303030;
}

.namespace {
  opacity: .7;
}

.token.null,
.token.operator,
.token.boolean,
.token.number {
  color: #d28445;
} 
.token.property { 
  color: #f4bf75;
}
.token.tag { 
  color: #6a9fb5;
} 
.token.string {
  color: #75b5aa;
} 
.token.selector { 
  color: #aa759f;
}
.token.attr-name { 
  color: #d28445;
} 
.token.entity,
.token.url, 
.language-css .token.string,
.style .token.string {
  color: #75b5aa;
}

.token.attr-value,
.token.keyword,
.token.control,
.token.directive,
.token.unit {
  color: #90a959;
} 

.token.statement,
.token.regex, 
.token.atrule { 
  color: #75b5aa;
}

.token.placeholder,
.token.variable {
  color: #6a9fb5;
} 

.token.important {
  color: #ac4142;
  font-weight: bold;
} 

.token.entity {
  cursor: help;
} 

pre > code.highlight {
  outline: .4em solid red;
  outline-offset: .4em;
} 

@media (prefers-color-scheme: dark) {
  /*

  Name:       Base16 Monokai Dark
  Author:     Wimer Hazenberg (http://www.monokai.nl)

  Prism template by Bram de Haan (http://atelierbram.github.io/syntax-highlighting/prism/)
  Original Base16 color scheme by Chris Kempson (https://github.com/chriskempson/base16)

  */
  code[class*="language-"],
  pre[class*="language-"] {
    background: #131a1d;
    color: #f8f8f2;
  }

  .token.comment,
  .token.prolog,
  .token.doctype,
  .token.cdata {
    color: #75715e;
  }

  .token.punctuation {
    color: #f8f8f2;
  }

  .token.null,
  .token.operator,
  .token.boolean,
  .token.number {
    color: #fd971f;
  } 
  .token.property { 
    color: #f4bf75;
  }
  .token.tag { 
    color: #66d9ef;
  } 
  .token.string {
    color: #a1efe4;
  } 
  .token.selector { 
    color: #ae81ff;
  }
  .token.attr-name { 
    color: #fd971f;
  } 
  .token.entity,
  .token.url, 
  .language-css .token.string,
  .style .token.string {
    color: #a1efe4;
  }

  .token.attr-value,
  .token.keyword,
  .token.control,
  .token.directive,
  .token.unit {
    color: #a6e22e;
  } 

  .token.statement,
  .token.regex, 
  .token.atrule { 
    color: #a1efe4;
  }

  .token.placeholder,
  .token.variable {
    color: #66d9ef;
  } 

  .token.important {
    color: #f92672;
  } 

  pre > code.highlight {
    outline-color:  #f92672;
  }
}
